// Providers:

var REG_NONE = NewRegistrar('none');    // No registrar.
var DNS_BIND = NewDnsProvider('bind');  // ISC BIND.
var DNS_HEDNS = NewDnsProvider('hedns');

D("lakhwara.com", REG_NONE,
	DnsProvider(DNS_HEDNS),
	DefaultTTL(300),
	//SOA('@', 'ns1.he.net.', 'hostmaster.he.net.', 2022041702, 86400, 7200, 3600000, 86400, TTL(172800)),
	A('anish', '69.61.2.203'),
	A('@', '69.61.2.203'),
	//A('coaching', '103.16.130.98'),
	TXT('anish', 'datkey=dat://1a240a14fab2bae9c85ebad29bddc04505aaba24e5fb809c2ccb4cdf71e3a7d5'),
	CNAME('fm1._domainkey', 'fm1.lakhwara.com.dkim.fmhosted.com.'),
	CNAME('fm2._domainkey', 'fm2.lakhwara.com.dkim.fmhosted.com.'),
	CNAME('fm3._domainkey', 'fm3.lakhwara.com.dkim.fmhosted.com.'),
	MX('@', 10, 'in1-smtp.messagingengine.com.'),
	MX('@', 20, 'in2-smtp.messagingengine.com.'),
	//NAMESERVER('ns1.he.net.'),
	//NAMESERVER('ns2.he.net.'),
	//NAMESERVER('ns3.he.net.'),
	//NAMESERVER('ns4.he.net.'),
	//NAMESERVER('ns5.he.net.'),
	TXT('@', 'v=spf1 include:spf.messagingengine.com ?all')
)

D('sealight.xyz', REG_NONE, DnsProvider(DNS_HEDNS),
	DefaultTTL(86400),
	//SOA('@', 'ns1.he.net.', 'hostmaster.he.net.', 2022121008, 86400, 7200, 3600000, 172800, TTL(172800)),
	//NAMESERVER('ns1.he.net.'),
	//NAMESERVER('ns2.he.net.'),
	//NAMESERVER('ns3.he.net.'),
	//NAMESERVER('ns4.he.net.'),
	//NAMESERVER('ns5.he.net.'),
	// capsul: helix
	A('bridge', '69.61.2.203', TTL(300)),
	A('rss', '69.61.2.203', TTL(300)),
	A('git', '69.61.2.203', TTL(300)),
	A('bin', '69.61.2.203', TTL(300)),
	A('ci', '69.61.2.203', TTL(300)),
	A('write', '69.61.2.203', TTL(300)),
	A('photos', '69.61.2.203', TTL(300)),
	// vultr melbourne: lituus
	A('@', '67.219.99.225', TTL(300)),
	A('jitsi', '67.219.99.225', TTL(300)),
	A('chat', '67.219.99.225', TTL(300)),
	A('element', '67.219.99.225', TTL(300)),
	A('turn', '67.219.99.225', TTL(300)),
	//nullhex free email real estate
	CNAME('key1._domainkey', 'key1.nullhex.com.'),
	CNAME('autoconfig', 'autoconfig.nullhex.com.'),
	MX('@', 10, 'smtp-in-1.nullhex.com.'),
	MX('@', 20, 'smtp-in-2.nullhex.com.'),
	TXT('@', 'v=spf1 a mx ~all'),
	TXT('_atproto', 'did=did:plc:exp76a7fe76w25gstz4lww75'),
	SRV('_autodiscover._tcp', 0, 1, 443, 'autodiscover.nullhex.com.'),
	TXT('_dmarc', 'v=DMARC1; p=quarantine;'),
	SRV('_imaps._tcp', 0, 1, 993, 'imap.nullhex.com.'),
	SRV('_submissions._tcp', 0, 1, 465, 'smtp.nullhex.com.')
);
